Skip to main content
POST
/
messages
/
{messageId}
/
edit
Edit a sent message
curl --request POST \
  --url https://wsapi.chat/messages/{messageId}/edit \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --header 'X-Instance-Id: <x-instance-id>' \
  --data '
{
  "to": "1234567890@s.whatsapp.net",
  "text": "Updated message"
}
'
{
  "id": "01234567890123456"
}

Authorizations

X-Api-Key
string
header
required

Instance or customer-level API key. Either the instance's own API key or the customer's API key is accepted. Must be paired with the X-Instance-Id header to identify the target instance.

Headers

X-Instance-Id
string
default:{{instanceId}}
required

The ID of the WhatsApp instance to use

Path Parameters

messageId
string
required

Message ID

Body

application/json
to
string
required

Chat JID

text
string
required

New message text

mentions
string[]
ephemeralExpiration
enum<string>
Available options:
off,
24h,
7d,
90d

Response

Success

id
string

ID of the resource